/* //////////////////////////////////////////

Setup of the navigation bar.

////////////////////////////////////////// */

nav {
  display: block;
  z-index: 99;
  position: fixed;
  width: 100vw;
  top: 0;

  transition: top 0.3s;
  background-color: var(--ocean);
  padding: 0.7rem 0;
  border-bottom: 5px solid var(--lightblue);
}

#navbar {
  top: -90px;
}
.navbar-content {
  max-width: 80vw;
  margin: 0 auto;

  display: flex;
  align-items: center;
  justify-content: space-between;
}

.mobile-close-button {
  display: block;
  position: absolute;
  z-index: 99;

  width: fit-content;
  height: fit-content;

  left: 50%;
  bottom: 0;
  transform: translate(-50%, -50%);

  user-select: none;

  appearance: none;
  border: none;
  outline: none;
  background: none;
  cursor: pointer;
}

.mobile-close-button .material-symbols-outlined {
  color: var(--foam);
}
.hamburger {
  display: block;
  position: relative;
  z-index: 99;

  user-select: none;

  appearance: none;
  border: none;
  outline: none;
  background: none;
  cursor: pointer;
}
.hamburger span {
  display: block;
  width: 33px;
  height: 4px;
  margin-bottom: 5px;
  position: relative;

  background-color: var(--foam);
  border-radius: 6px;
  z-index: 1;

  transform-origin: 0 0;

  transition: 0.4s;
}
.hamburger.is-active span:nth-child(1) {
  transform: translate(0px, -2px) rotate(45deg);
}
.hamburger.is-active span:nth-child(2) {
  opacity: 0;
  transform: translate(-10px);
}
.hamburger.is-active span:nth-child(3) {
  transform: translate(-3px, 3px) rotate(-45deg);
}
.hamburger.is-active span {
  background-color: var(--foam);
}
.hamburger.is-active:hover span {
  background-color: var(--foam);
}
.navbar-desktop-menu {
  display: none;
  flex: 1 1 0%;
  justify-content: flex-end;
  margin: 0 -16px;
}
.navbar-desktop-menu a {
  color: var(--foam);
  margin: 0 0 0 32px;
  font-weight: 600;
  transition: 0.4s;
  padding: 8px 16px;
  border-radius: 99px;
}
.navbar-desktop-menu a.is-active {
  background: var(--ocean);
  color: var(--foam);
}
.navbar-desktop-menu a:hover {
  background-color: var(--gold);
  color: rgb(255, 255, 255);
}
@media (min-width: 1024px) {
  .hamburger {
    display: none;
  }
  .mobile-menu {
    display: none;
  }
  .navbar-desktop-menu {
    display: flex;
  }
  .navbar-content {
    width: 1280px;
  }
}

/* //////////////////////////////////////////
  
  Everything related to the mobile dropdown menu.
  
  ////////////////////////////////////////// */

.mobile-menu {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: fit-content;
  z-index: 80;

  padding: 200px 0 50px 0;
  opacity: 0;
  transform: translateY(-500px);
  background-color: var(--ocean);
  transition: 0.5s;
}
.mobile-menu.is-open {
  opacity: 1;
  transform: translateY(0);
}
.mobile-menu a {
  display: block;
  padding: 20px;
  color: var(--foam);
  text-align: center;
  text-decoration: none;
  font-size: 220%;
  transition: 0.5s;
  font-weight: 300;
}
.mobile-menu a:hover {
  transition: 0.3s;
  background-color: var(--gold);
  font-weight: 600;
  color: #000;
}
.mobile-menu a.is-active {
  background-color: var(--foam);
  font-weight: 600;
  color: var(--ocean);
}
